Skip to main content
Vendor Payments API
curl --request GET \
  --url https://api.pazy.io/v1.0/vendor/:id/payments

Documentation Index

Fetch the complete documentation index at: https://docs.pazy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

All requests require an API key in the request headers. Headers:
Authorization: Api-Key YOUR_API_KEY

Request

Content-Type: application/json

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe unique identifier of the Vendor to retrieve

Query Parameters

ParameterTypeRequiredDescription
fieldsstringYesCSV string of extra field you want to get

Code Examples

curl -X GET https://api.pazy.io/v1.0/vendor/vendor_identifier/payments?fields=accountNumber \
  -H "Authorization: Api-Key YOUR_API_KEY"

Success Response

HTTP Status: 200 OK Response Fields:
FieldTypeDescription
okbooleanIndicates whether the request was successful
dataobjectContains the vendor payments response data
data.vendorPayments[].transactionIdstringUnique transaction identifier for the payment
data.vendorPayments[].resourceIdstringUnique identifier of the associated resource
data.vendorPayments[].resourceTypestringType of the resource e.g. INVOICE, PURCHASE_ORDER
data.vendorPayments[].invoiceNostringHuman-readable invoice number
data.vendorPayments[].currencystringCurrency code for the payment e.g. INR, USD
data.vendorPayments[].amountstringAmount paid to the vendor
data.vendorPayments[].paidViastringPayment method used e.g. PLATFORM, MANUAL
data.vendorPayments[].paidByobjectInformation about the user who made the payment
data.vendorPayments[].paidBy.idstringUnique identifier for the user
data.vendorPayments[].paidBy.namestringName of the user
data.vendorPayments[].paymentStatestringCurrent state of the payment e.g. FINISHED, PENDING
data.vendorPayments[].paymentDatestringISO 8601 timestamp of when the payment was made
data.vendorPayments[].utrstringUnique Transaction Reference number for the payment
data.context.countnumberTotal number of vendor payments
data.context.totalAmountByCurrencyobjectTotal payment amounts grouped by currency code
data.context.vendorBankDetailsobjectBank account details of the vendor
data.context.vendorBankDetails.accountNamestringName on the vendor’s bank account
data.context.vendorBankDetails.accountIFSCstringIFSC code of the vendor’s bank
data.context.vendorBankDetails.accountTypestringType of account identifier e.g. IFSC
data.context.vendorBankDetails.accountNumberstringVendor’s bank account number (Only if you ask for this in fields query params)

Response Example

{
  "ok": true,
  "data": {
    "vendorPayments": [
      {
        "transactionId": "<transactionId>",
        "resourceId": "<invoiceId>",
        "resourceType": "INVOICE",
        "invoiceNo": "INV-2026-001",
        "currency": "INR",
        "amount": 10,
        "paidVia": "PLATFORM",
        "paidBy": {
          "id": "<userId>",
          "name": "John Doe"
        },
        "paymentState": "FINISHED",
        "paymentDate": "2026-02-18T02:51:02.615Z",
        "utr": "<utrNumber>"
      },
      {
        "transactionId": "<transactionId>",
        "resourceId": "<invoiceId>",
        "resourceType": "INVOICE",
        "invoiceNo": "INV-2026-002",
        "currency": "INR",
        "amount": 13,
        "paidVia": "PLATFORM",
        "paidBy": {
          "id": "<userId>",
          "name": "John Doe"
        },
        "paymentState": "CONFIRMATION_PENDING",
        "paymentDate": "2026-02-10T07:39:01.460Z",
        "utr": ""
      }
    ],
    "context": {
      "count": 2,
      "totalAmountByCurrency": {
        "INR": 23
      },
      "vendorBankDetails": {
        "accountName": "John Doe",
        "accountIFSC": "ABCD0123456",
        "accountType": "IFSC",
        "accountNumber": "<accountNumber>"
      }
    }
  }
}

Error Responses

Missing Vendor ID

HTTP Status: 400 Bad Request
{
  "ok": false,
  "error": {
    "code": "MISSING_REQUIRED_FIELD",
    "message": "Vendor ID is required"
  }
}

Vendor Not Found

HTTP Status: 404 Not Found
{
  "ok": false,
  "error": {
    "code": "VENDOR_NOT_FOUND",
    "message": "Vendor not found"
  }
}

Access Denied

HTTP Status: 403 Forbidden
{
  "ok": false,
  "error": {
    "code": "ACCESS_DENIED",
    "message": "Access denied: You can only view your own vendors or vendors where you are the vendor owner"
  }
}

Authentication Errors

HTTP Status: 401 Unauthorized
{
  "ok": false,
  "error": {
    "code": "MISSING_CREDENTIALS",
    "message": "Missing Credentials"
  }
}
{
  "ok": false,
  "error": {
    "code": "INVALID_API_KEY",
    "message": "Invalid API Key"
  }
}

Permission Errors

HTTP Status: 403 Forbidden
{
  "ok": false,
  "error": {
    "code": "INSUFFICIENT_PERMISSIONS",
    "message": "Permission check failed - PERMISSION_CHECK_FAILED"
  }
}

Best Practices

Access Control

  • Only vendors you created or where you are the vendor owner are accessible (unless you have admin or auditor role)
  • Use the vendor id returned from the vendor creation endpoint to retrieve payments